---
title: ServiceWorkerGlobalScope.onpushsubscriptionchange
slug: Web/API/ServiceWorkerGlobalScope/onpushsubscriptionchange
tags:
  - API
  - NeedsExample
  - Property
  - Push
  - Reference
  - Service Workers
  - ServiceWorkerGlobalScope
  - onpushsubscriptionchange
---
<div>{{APIRef("Service Workers API")}}</div>

<p>The <code><strong>ServiceWorkerGlobalScope.onpushsubscriptionchange</strong></code> event of the {{domxref("ServiceWorkerGlobalScope")}} interface is fired to indicate a change in push subscription that was triggered outside the application's control, e.g. when browser refresh the push subscription.</p>

<p>Previously, it was defined as the event interface that is fired whenever a push subscription has been invalidated (or is about to become so). This offers an opportunity to resubscribe in order to continue receiving push messages, if desired. This might happen if, for example, the push service sets an expiration time a subscription.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">ServiceWorkerGlobalScope.onpushsubscriptionchange = function() { ... }
<var>self</var>.addEventListener('pushsubscriptionchange', function() { ... })
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">self.addEventListener('pushsubscriptionchange', function() {
  // do something, usually resubscribe to push and
  // send the new subscription details back to the
  // server via XHR or Fetch
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Push API', '#dom-serviceworkerglobalscope-onpushsubscriptionchange', 'onpushsubscriptionchange')}}</td>
   <td>{{Spec2('Push API')}}</td>
   <td>Initial definition (Note: This event is specified in the Push API, but accessed through {{domxref("ServiceWorkerGlobalScope")}}.)</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ServiceWorkerGlobalScope.onpushsubscriptionchange")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Push_API">Push API</a></li>
</ul>
